AVbin: _AVbinStreamInfo Struct Reference

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

# _AVbinStreamInfo Struct Reference

## Detailed Description

Stream details.

A stream is a single audio track or video. Most audio files contain one audio stream. Most video files contain one audio stream and one video stream. More than one audio stream may indicate the presence of multiple languages which can be selected (however at this time AVbin does not provide language information).

## Data Fields
size_t | structure_size
| Size of this structure, in bytes.
AVbinStreamType | type
| The type of stream; either audio or video.
union {
struct {
unsigned int width
| Width of the video image, in pixels.
unsigned int height
| Height of the video image, in pixels.
unsigned int sample_aspect_num
| Aspect-ratio of each pixel.
unsigned int sample_aspect_den
} video
struct {
AVbinSampleFormat sample_format
| Data type of audio samples.
unsigned int sample_rate
| Number of samples per second, in Hz.
unsigned int sample_bits
| Number of bits per sample; typically 8 or 16.
unsigned int channels
| Number of interleaved audio channels.
} audio
}; |

## Field Documentation

size_t _AVbinStreamInfo::structure_size

Size of this structure, in bytes.

This must be filled in by the application before passing to AVbin.

AVbinStreamType _AVbinStreamInfo::type

The type of stream; either audio or video.

unsigned int _AVbinStreamInfo::width

Width of the video image, in pixels.

This is the width of actual video data, and is not necessarily the size the video is to be displayed at (see sample_aspect_num).

unsigned int _AVbinStreamInfo::height

Height of the video image, in pixels.

unsigned int _AVbinStreamInfo::sample_aspect_num

Aspect-ratio of each pixel.

The aspect is given by dividing sample_aspect_num by asmple_aspect_den.

unsigned int _AVbinStreamInfo::sample_aspect_den

struct { ... } _AVbinStreamInfo::video

AVbinSampleFormat _AVbinStreamInfo::sample_format

Data type of audio samples.

unsigned int _AVbinStreamInfo::sample_rate

Number of samples per second, in Hz.

unsigned int _AVbinStreamInfo::sample_bits

Number of bits per sample; typically 8 or 16.

unsigned int _AVbinStreamInfo::channels

Number of interleaved audio channels.

Typically 1 for monoaural, 2 for stereo. Higher channel numbers are used for surround sound, however AVbin does not currently provide a way to access the arrangement of these channels.

struct { ... } _AVbinStreamInfo::audio

union { ... }